package com.cj.jiaqingjiayi.service;

import com.cj.jiaqingjiayi.model.domain.Cart;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.request.cart.CartAddRequest;
import com.cj.jiaqingjiayi.model.request.cart.CartUpdateRequest;

import javax.servlet.http.HttpServletRequest;

/**
* @author 高木
* @description 针对表【cart(购物车表)】的数据库操作Service
* @createDate 2024-09-05 15:15:56
*/
public interface CartService extends IService<Cart> {

    /**
     * 校验
     */
    void validCart(CartAddRequest cartAddRequest);

    /**
     * 添加菜品
     */
    Long addCart (CartAddRequest cartAddRequest, HttpServletRequest request);

    /**
     * 更新购物车菜品
     */
    Boolean updateCart(CartUpdateRequest cartUpdateRequest, HttpServletRequest request);

    /**
     * 删除购物车菜品
     */
    Boolean deleteCart(Long cartId, HttpServletRequest request);

}
