package com.cj.jiaqingjiayi.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cj.jiaqingjiayi.model.domain.*;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.request.business.BusinessQueryRequest;
import com.cj.jiaqingjiayi.model.request.manicurist.ManicuristQueryRequest;

/**
* @author 高木
* @description 针对表【manicurist(美甲师表)】的数据库操作Service
* @createDate 2024-09-23 19:23:08
*/
public interface ManicuristService extends IService<Manicurist> {

    /**
     * 添加美甲师和商家的账户以及填充认证信息
     * @param user
     * @param manicurist
     * @param manicuristAuth
     */
    void addManicurist(User user, Manicurist manicurist, ManicuristAuth manicuristAuth);

    /**
     *校验
     */
    void validUser(User user, boolean add);

    void validManicurist(Manicurist manicurist, boolean add);

    void validManicuristAuth(ManicuristAuth manicuristAuth, boolean add);

    //检验商家是否存在
    void validManBus(Long businessId);

    void deleteMan(long id);

    /**
     * 获取查询条件
     */
    QueryWrapper<Manicurist> getQueryWrapper(ManicuristQueryRequest manicuristQueryRequest);
}
